package cn.bunny.config;

import cn.bunny.dao.vo.result.Result;
import com.alibaba.csp.sentinel.adapter.spring.webmvc_v6x.callback.BlockExceptionHandler;
import com.alibaba.csp.sentinel.slots.block.BlockException;
import com.alibaba.fastjson2.JSON;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.stereotype.Component;

import java.io.PrintWriter;

@Component
public class CustomerBlockExceptionHandler implements BlockExceptionHandler {
    /**
     * 自定义限流返回内容
     */
    @Override
    public void handle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, String s, BlockException e) throws Exception {
        httpServletResponse.setContentType("application/json;charset=utf-8");
        Result<Object> result = Result.error(null, 429, "太快了...");

        try (PrintWriter writer = httpServletResponse.getWriter()) {
            Object json = JSON.toJSON(result);
            writer.println(json);
            writer.flush();
        }
    }
}
