package cn.bunny.controller;

import cn.bunny.feign.CallOtherApiFeignClient;
import cn.bunny.feign.CloudFeignClient;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Tag(name = "云服务接口", description = "云服务接口")
@RequestMapping("/cloud1")
public class CloudController {

    @Qualifier("cn.bunny.feign.CloudFeignClient")
    @Autowired
    private CloudFeignClient cloudFeignClient;

    @Autowired
    private CallOtherApiFeignClient callOtherApiFeignClient;

    @Operation(summary = "本体接口调用", description = "feignCloud2")
    @GetMapping("feignCloud1")
    public String getFeignCloud1(Long id) {
        return "feignCloud1：" + id;
    }

    @Operation(summary = "使用OpenFeign调用其它第三方API")
    @GetMapping("posts")
    public Object posts() {
        return callOtherApiFeignClient.posts("sss");
    }

    @Operation(summary = "调用服务2中接口", description = "feignByCloud2")
    @GetMapping("feignByCloud2")
    public String feignByCloud2(Long id) {
        return cloudFeignClient.getFeignCloud2(id);
    }
}
