package cn.bunny.controller;

import cn.bunny.feign.CloudFeignClient;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@Tag(name = "云服务接口", description = "云服务接口")
@RequestMapping("/cloud2")
public class CloudController {

    @Autowired
    private CloudFeignClient cloudFeignClient;

    @Operation(summary = "本体接口调用", description = "feignCloud2")
    @GetMapping("feignCloud2")
    public String getFeignCloud2(Long id) {
        return "feign：" + id;
    }

    @Operation(summary = "调用服务1中接口", description = "feignByCloud1")
    @GetMapping("feignByCloud1")
    public String feignByCloud1(Long id) {
        return cloudFeignClient.getFeignCloud1(id);
    }

    @Operation(summary = "远程调用拦截token", description = "远程调用拦截token")
    @GetMapping("product")
    public String getProduct(@RequestParam("id") Long id, @RequestHeader("X-Token") String token) {
        return "token:" + token + "；id=" + id;
    }
}
